<div>
    <h2 id="page-heading">
        <span jhiTranslate="clentApp.bwdHistory.home.title">Bwd Histories</span>

        <button id="jh-create-entity" class="btn btn-primary float-right jh-create-entity create-bwd-history" [routerLink]="['/test-data/new']">
            <fa-icon icon="plus"></fa-icon>
            <span class="hidden-sm-down"  jhiTranslate="clentApp.bwdHistory.home.createLabel">
            Create a new Bwd History
            </span>
        </button>
    </h2>

    <jhi-alert-error></jhi-alert-error>

    <jhi-alert></jhi-alert>

    <div class="row">
        <div class="col-sm-12">
            <form name="searchForm" class="form-inline">
                <div class="input-group w-100 mt-3">
                    <input type="text" class="form-control" [(ngModel)]="currentSearch" id="currentSearch" name="currentSearch" placeholder="{{ 'clentApp.bwdHistory.home.search' | translate }}">

                    <button class="input-group-append btn btn-info" (click)="search(currentSearch)">
                        <fa-icon icon="search"></fa-icon>
                    </button>

                    <button class="input-group-append btn btn-danger" (click)="search('')" *ngIf="currentSearch">
                        <fa-icon icon="trash-alt"></fa-icon>
                    </button>
                </div>
            </form>
        </div>
    </div>

    <div class="alert alert-warning" id="no-result" *ngIf="bwdHistories?.length === 0">
        <span jhiTranslate="clentApp.bwdHistory.home.notFound">No bwdHistories found</span>
    </div>

    <div class="table-responsive" id="entities" *ngIf="bwdHistories && bwdHistories.length > 0">
        <table class="table table-striped" aria-describedby="page-heading">
            <thead>
                <tr jhiSort [(predicate)]="predicate" [(ascending)]="ascending" [callback]="loadPage.bind(this)">
                    <th scope="col"  jhiSortBy="id"><span jhiTranslate="global.field.id">ID</span> <fa-icon icon="sort"></fa-icon></th>
                    <th scope="col"  jhiSortBy="userId"><span jhiTranslate="clentApp.bwdHistory.userId">User Id</span> <fa-icon icon="sort"></fa-icon></th>
                    <th scope="col"  jhiSortBy="createTime"><span jhiTranslate="clentApp.bwdHistory.createTime">Create Time</span> <fa-icon icon="sort"></fa-icon></th>
                    <th scope="col"  jhiSortBy="bwdHash"><span jhiTranslate="clentApp.bwdHistory.bwdHash">Bwd Hash</span> <fa-icon icon="sort"></fa-icon></th>
                    <th scope="col"  jhiSortBy="bwdCode"><span jhiTranslate="clentApp.bwdHistory.bwdCode">Bwd Code</span> <fa-icon icon="sort"></fa-icon></th>
                    <th scope="col"></th>
                </tr>
            </thead>
            <tbody>
                <tr *ngFor="let bwdHistory of bwdHistories ;trackBy: trackId">
                    <td><a [routerLink]="['/test-data', bwdHistory.id, 'view']">{{ bwdHistory.id }}</a></td>
                    <td>{{ bwdHistory.userId }}</td>
                    <td>{{ bwdHistory.createTime | date:'medium' }}</td>
                    <td>{{ bwdHistory.bwdHash }}</td>
                    <td>{{ bwdHistory.bwdCode }}</td>
                    <td class="text-right">
                        <div class="btn-group">
                            <button type="submit"
                                    [routerLink]="['/test-data', bwdHistory.id, 'view']"
                                    class="btn btn-info btn-sm">
                                <fa-icon icon="eye"></fa-icon>
                                <span class="d-none d-md-inline" jhiTranslate="entity.action.view">View</span>
                            </button>

                            <button type="submit"
                                    [routerLink]="['/test-data', bwdHistory.id, 'edit']"
                                    class="btn btn-primary btn-sm">
                                <fa-icon icon="pencil-alt"></fa-icon>
                                <span class="d-none d-md-inline" jhiTranslate="entity.action.edit">Edit</span>
                            </button>

                            <button type="submit" (click)="delete(bwdHistory)"
                                    class="btn btn-danger btn-sm">
                                <fa-icon icon="times"></fa-icon>
                                <span class="d-none d-md-inline" jhiTranslate="entity.action.delete">Delete</span>
                            </button>
                        </div>
                    </td>
                </tr>
            </tbody>
        </table>
    </div>

    <div *ngIf="bwdHistories && bwdHistories.length > 0">
        <div class="row justify-content-center">
            <jhi-item-count [page]="page" [total]="totalItems" [itemsPerPage]="itemsPerPage"></jhi-item-count>
        </div>

        <div class="row justify-content-center">
            <ngb-pagination [collectionSize]="totalItems" [(page)]="ngbPaginationPage" [pageSize]="itemsPerPage" [maxSize]="5" [rotate]="true" [boundaryLinks]="true" (pageChange)="loadPage($event)"></ngb-pagination>
        </div>
    </div>
</div>
